%define	desktop_vendor planetccrma
%define pretag beta7

Summary: Modular synthesiser - drum-machine - sequencer - effects-unit
Name: galan
Version: 0.3.0
Release: 0.beta7.2%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://galan.sourceforge.net
Source: galan-%{version}%{?pretag:_%{pretag}}.tar.gz
Source1: galan.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: hicolor-icon-theme
Vendor: Planet CCRMA
Packager: Fernando Lopez-Lezcano
Distribution: Planet CCRMA

BuildRequires: alsa-lib-devel esound-devel fftw-devel gtk2-devel
BuildRequires: jack-audio-connection-kit-devel liblrdf-devel 
BuildRequires: libsndfile-devel libvorbis-devel desktop-file-utils
BuildRequires: ImageMagick

%description
gAlan is an audio-processing tool (both on-line and off-line) for
Linux and Win32. It allows you to build synthesisers, effects
chains, mixers, sequencers, drum-machines etc. etc. in a modular
fashion by linking together icons representing primitive
audio-processing components.

%prep
%setup -q -n galan-%{version}%{?pretag:_%{pretag}}

%build
export CFLAGS="-DALSA_PCM_OLD_HW_PARAMS_API -DALSA_PCM_OLD_SW_PARAMS_API $CFLAGS"
%configure
# fix names of fftw includes and libraries
grep -l drfftw plugins/*|xargs perl -p -i -e "s/drfftw/rfftw/g"
grep -l dfftw plugins/*|xargs perl -p -i -e "s/dfftw/fftw/g"
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install-strip

# convert icon to png, install in proper freedesktop location
convert pixmaps/appicon.xpm galan.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
%{__install} -m 0644 galan.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Digital_Processing X-Jack"

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS NOTES README README.w32 TODO TODO.w32
%doc doc/examples
%{_bindir}/galan
%{_libdir}/galan
%{_datadir}/galan
%{_datadir}/applications/*galan.desktop
%{_datadir}/icons/hicolor/48x48/apps/galan.png

%changelog
* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Sun Apr 15 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-0.beta7.2
- rework spec file, build on fc6
- convert icon to png

* Fri Sep 24 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-0.beta7.1-1
- updated to 0.3.0 beta7

* Fri Aug 27 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-0.beta6.1-1
- updated to 0.3.0 beta6

* Wed May 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added missing defattr

* Sun May  9 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires

* Sun Feb 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0-0.beta4.1-1
- updated to 0.3.0beta4

* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.14-1
- added release tags, spec file tweaks

* Sat Mar 22 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.14-1
- updated to 0.2.14

* Wed Feb 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.13-1
- initial build
